﻿using System;
using System.Data.SQLite;

using Dapper;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string connectionString = $"Data Source={"test.db"};";

            string sql = @"
SELECT * FROM School;
SELECT * FROM Student;
";

            using(SQLiteConnection connection = new SQLiteConnection(connectionString))
            {
                using(var reader = connection.QueryMultiple(sql))
                {
                    var resultEnumerable1 = reader.Read<dynamic>();
                    var resultEnumerable2 = reader.Read<dynamic>();

                    foreach(dynamic result in resultEnumerable1)
                    {
                        Console.WriteLine($"{result.ID}, {result.NAME}");
                    }

                    Console.WriteLine();

                    foreach(dynamic result in resultEnumerable2)
                    {
                        Console.WriteLine($"{result.ID}, {result.NAME}, {result.HEIGHT}");
                    }
                }
            }
        }

        #endregion
    }
}